Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000969KdenliveUser Interfacepublic2009-06-27 15:512009-07-01 21:57
ReporterGoups 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target Version0.7.5Fixed in Version0.7.5 
Summary0000969: Duplicate entries in target combobox of render dialog
DescriptionSome entries are duplicated in the list of available target types, e.g web sites, audio only, lossless (see attached snapshot)

TagsNo tags attached.
Build/Install MethodBuild Wizard
Attached Filespng file icon Render-Dialog-duplicate-target-entries.png [^] (18,284 bytes) 2009-06-27 15:51

- Relationships

-  Notes
(0003514)
j-b-m (administrator)
2009-06-28 12:49

That is probably because you have Kdenlive installed in 2 different places, for example one version installed with your distro packages and one installed with the build wizard
(0003515)
Goups (reporter)
2009-06-28 13:54

No, I only use the build wizard, and never installed Kdenlive from distro packages (double checked that)

I took a look at the source (renderwidget.cpp) to understand how the list is populated. For that, I tracked down all calls to "m_view.destination_list->addItem"
- first items are hard-coded in method "parseProfiles"
- other items may come from parsed configuration files. According to the paths I can see in gdb:
  + /usr/local/share/apps/kdenlive/export/profiles.xml
  + ~/.kde/share/apps/kdenlive/export/*.xml

In my case, extra entries come from /usr/local/share/apps/kdenlive/export/profiles.xml

Hope this helps
(0003517)
Goups (reporter)
2009-06-28 19:17

I have found what it is going wrong: some internationalization is missing

renderwidget.cpp: 1241

   !m_view.destination_list->contains(metagroupName)

should be

   !m_view.destination_list->contains(i18n(metagroupName.toUtf8().data()))
(0003518)
Goups (reporter)
2009-06-28 19:20

It should probably be better to use metagroupId instead of metagroupName as a key ...
(0003523)
j-b-m (administrator)
2009-06-29 11:22

Thanks for your investigation. Should be fixed now (rev. 3689)
(0003526)
Goups (reporter)
2009-06-29 11:45

I can confirm this is fixed in rev. 3689 --> can be closed, thanks.

- Issue History
Date Modified Username Field Change
2009-06-27 15:51 Goups New Issue
2009-06-27 15:51 Goups File Added: Render-Dialog-duplicate-target-entries.png
2009-06-27 15:51 Goups Build/Install Method => Build Wizard
2009-06-28 12:49 j-b-m Note Added: 0003514
2009-06-28 12:49 j-b-m Status new => feedback
2009-06-28 13:54 Goups Note Added: 0003515
2009-06-28 19:17 Goups Note Added: 0003517
2009-06-28 19:20 Goups Note Added: 0003518
2009-06-29 11:22 j-b-m Note Added: 0003523
2009-06-29 11:45 Goups Note Added: 0003526
2009-06-29 11:46 j-b-m Status feedback => resolved
2009-06-29 11:46 j-b-m Resolution open => fixed
2009-06-29 11:46 j-b-m Fixed in Version => Recent git
2009-06-29 11:46 j-b-m Target Version => 0.7.5
2009-07-01 20:02 j-b-m Fixed in Version Recent git => 0.7.5
2009-07-01 21:57 xzhayon Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker